<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from makematrix_cauchy.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="makematrix_cauchy" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>makematrix_cauchy</refname><refpurpose>Returns the Cauchy matrix</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   A = makematrix_cauchy ( x )
   A = makematrix_cauchy ( x , y )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a 1-by-n or n-by-1 matrix of doubles, the x input</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a 1-by-n or n-by-1 matrix of doubles, the y input (default y=x)</para></listitem></varlistentry>
   <varlistentry><term>A :</term>
      <listitem><para> a n-by-n matrix of doubles, the Cauchy matrix</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the Cauchy matrix of size n with entries x, y
   </para>
   <para>
For i=1,2,...,n and j=1,2,...,n, we have:
<literal>
A(i,j) = 1 ./ (x(i) + y(j))
</literal>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
A = makematrix_cauchy ( 1:5 )
A = makematrix_cauchy ( 1:5 , 6:10 )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2011 - Michael Baudin</member>
   <member>Copyright (C) 2008-2009 - INRIA - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>Nicolas Higham, Accuracy and Stability of Numerical Algorithms, A Gallery of Test Matrices</para>
</refsection>
</refentry>
